/*!\file InputControlUpdatex
 * \brief: Y=Y+aX operation on inputs.
 */

#include "./InputControlUpdatex.h"
#include "../../shared/shared.h"
#include "../../classes/classes.h"
#include "../../toolkits/toolkits.h"

void InputControlUpdatex(Elements* elements,Nodes* nodes,Vertices* vertices,Loads* loads,Materials* materials,Parameters* parameters,IssmDouble scalar,bool save_parameter){

	/*Go through elemnets, and ask to carry out the operation on inputs: */
	for(int i=0;i<elements->Size();i++){
		Element* element=dynamic_cast<Element*>(elements->GetObjectByOffset(i));
		element->InputControlUpdate(scalar,save_parameter);
	}
}
